<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::RawTrackerHitObj Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_raw_tracker_hit_obj.html">RawTrackerHitObj</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_raw_tracker_hit_obj-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::RawTrackerHitObj Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_raw_tracker_hit_obj_8h_source.html">RawTrackerHitObj.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::RawTrackerHitObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_raw_tracker_hit_obj__inherit__graph.png" border="0" usemap="#eic_1_1_raw_tracker_hit_obj_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_raw_tracker_hit_obj_inherit__map" id="eic_1_1_raw_tracker_hit_obj_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::RawTrackerHitObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_raw_tracker_hit_obj__coll__graph.png" border="0" usemap="#eic_1_1_raw_tracker_hit_obj_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_raw_tracker_hit_obj_coll__map" id="eic_1_1_raw_tracker_hit_obj_coll__map">
<area shape="rect" id="node3" href="classeic_1_1_raw_tracker_hit_data.html" title="eic::RawTrackerHitData" alt="" coords="101,5,264,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5e519f6bc1a78dc123c2559806e0eb54"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_tracker_hit_obj.html#a5e519f6bc1a78dc123c2559806e0eb54">RawTrackerHitObj</a> ()</td></tr>
<tr class="memdesc:a5e519f6bc1a78dc123c2559806e0eb54"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="#a5e519f6bc1a78dc123c2559806e0eb54">More...</a><br /></td></tr>
<tr class="separator:a5e519f6bc1a78dc123c2559806e0eb54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84b731ad953f9d2914a605b88ffea715"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_tracker_hit_obj.html#a84b731ad953f9d2914a605b88ffea715">RawTrackerHitObj</a> (const <a class="el" href="classeic_1_1_raw_tracker_hit_obj.html">RawTrackerHitObj</a> &amp;)</td></tr>
<tr class="memdesc:a84b731ad953f9d2914a605b88ffea715"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor (does a deep-copy of relation containers)  <a href="#a84b731ad953f9d2914a605b88ffea715">More...</a><br /></td></tr>
<tr class="separator:a84b731ad953f9d2914a605b88ffea715"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a495014833dd415228e328d68c5f14e0d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_tracker_hit_obj.html#a495014833dd415228e328d68c5f14e0d">RawTrackerHitObj</a> (const podio::ObjectID id, <a class="el" href="classeic_1_1_raw_tracker_hit_data.html">RawTrackerHitData</a> <a class="el" href="classeic_1_1_raw_tracker_hit_obj.html#af68a1a66bac89362001154ea861c75b6">data</a>)</td></tr>
<tr class="separator:a495014833dd415228e328d68c5f14e0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4170638f53f801d85302735850c38e8a"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_tracker_hit_obj.html#a4170638f53f801d85302735850c38e8a">~RawTrackerHitObj</a> ()</td></tr>
<tr class="separator:a4170638f53f801d85302735850c38e8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af68a1a66bac89362001154ea861c75b6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_raw_tracker_hit_data.html">RawTrackerHitData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_tracker_hit_obj.html#af68a1a66bac89362001154ea861c75b6">data</a></td></tr>
<tr class="separator:af68a1a66bac89362001154ea861c75b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_raw_tracker_hit_obj_8h_source.html#l00018">18</a> of file <a class="el" href="_raw_tracker_hit_obj_8h_source.html">RawTrackerHitObj.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5e519f6bc1a78dc123c2559806e0eb54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e519f6bc1a78dc123c2559806e0eb54">&#9670;&nbsp;</a></span>RawTrackerHitObj() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawTrackerHitObj::RawTrackerHitObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor </p>

<p class="definition">Definition at line <a class="el" href="_raw_tracker_hit_obj_8cc_source.html#l00006">6</a> of file <a class="el" href="_raw_tracker_hit_obj_8cc_source.html">RawTrackerHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_tracker_hit_obj_8h_source.html#l00030">data</a>.</p>

</div>
</div>
<a id="a84b731ad953f9d2914a605b88ffea715"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84b731ad953f9d2914a605b88ffea715">&#9670;&nbsp;</a></span>RawTrackerHitObj() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawTrackerHitObj::RawTrackerHitObj </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_raw_tracker_hit_obj.html">RawTrackerHitObj</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor (does a deep-copy of relation containers) </p>

<p class="definition">Definition at line <a class="el" href="_raw_tracker_hit_obj_8cc_source.html#l00015">15</a> of file <a class="el" href="_raw_tracker_hit_obj_8cc_source.html">RawTrackerHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_tracker_hit_obj_8h_source.html#l00030">data</a>.</p>

</div>
</div>
<a id="a495014833dd415228e328d68c5f14e0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a495014833dd415228e328d68c5f14e0d">&#9670;&nbsp;</a></span>RawTrackerHitObj() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawTrackerHitObj::RawTrackerHitObj </td>
          <td>(</td>
          <td class="paramtype">const podio::ObjectID&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_raw_tracker_hit_data.html">RawTrackerHitData</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>constructor from ObjectID and <a class="el" href="classeic_1_1_raw_tracker_hit_data.html">RawTrackerHitData</a> does not initialize the internal relation containers </p>

<p class="definition">Definition at line <a class="el" href="_raw_tracker_hit_obj_8cc_source.html#l00011">11</a> of file <a class="el" href="_raw_tracker_hit_obj_8cc_source.html">RawTrackerHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_tracker_hit_obj_8h_source.html#l00030">data</a>.</p>

</div>
</div>
<a id="a4170638f53f801d85302735850c38e8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4170638f53f801d85302735850c38e8a">&#9670;&nbsp;</a></span>~RawTrackerHitObj()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawTrackerHitObj::~RawTrackerHitObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_tracker_hit_obj_8cc_source.html#l00021">21</a> of file <a class="el" href="_raw_tracker_hit_obj_8cc_source.html">RawTrackerHitObj.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af68a1a66bac89362001154ea861c75b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af68a1a66bac89362001154ea861c75b6">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_raw_tracker_hit_data.html">RawTrackerHitData</a> eic::RawTrackerHitObj::data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_tracker_hit_obj_8h_source.html#l00030">30</a> of file <a class="el" href="_raw_tracker_hit_obj_8h_source.html">RawTrackerHitObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_tracker_hit_const_8cc_source.html#l00048">eic::ConstRawTrackerHit::cellID()</a>, <a class="el" href="_raw_tracker_hit_8cc_source.html#l00050">eic::RawTrackerHit::cellID()</a>, <a class="el" href="_raw_tracker_hit_const_8cc_source.html#l00050">eic::ConstRawTrackerHit::charge()</a>, <a class="el" href="_raw_tracker_hit_8cc_source.html#l00052">eic::RawTrackerHit::charge()</a>, <a class="el" href="_raw_tracker_hit_const_8cc_source.html#l00020">eic::ConstRawTrackerHit::ConstRawTrackerHit()</a>, <a class="el" href="_raw_tracker_hit_8cc_source.html#l00020">eic::RawTrackerHit::RawTrackerHit()</a>, <a class="el" href="_raw_tracker_hit_obj_8cc_source.html#l00006">RawTrackerHitObj()</a>, <a class="el" href="_raw_tracker_hit_const_8cc_source.html#l00049">eic::ConstRawTrackerHit::time()</a>, and <a class="el" href="_raw_tracker_hit_8cc_source.html#l00051">eic::RawTrackerHit::time()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_raw_tracker_hit_obj_8h_source.html">RawTrackerHitObj.h</a></li>
<li>src/<a class="el" href="_raw_tracker_hit_obj_8cc_source.html">RawTrackerHitObj.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
